package uam.patrones.strategy.operaciones;

import uam.patrones.strategy.clases.Alumno;

public class Contexto {
	
	private StrategyPattern estrategia;
	private Alumno alumno;
	
	public Contexto (StrategyPattern e) {
		
		estrategia = e;
	}
	
	public void ejecutarEstrategia(String matricula, String actividad) {
		alumno = new Alumno(matricula);
		estrategia.inscribir(alumno, actividad);
	}

}
