package uam.patrones.strategy.principal;

import uam.patrones.strategy.operaciones.Contexto;
import uam.patrones.strategy.operaciones.OperacionesCulturales;
import uam.patrones.strategy.operaciones.OperacionesDeportes;
import uam.patrones.strategy.operaciones.OperacionesIdiomas;

public class Principal {

	public static void main(String[] args) {
		
		Contexto contexto = new Contexto(new OperacionesCulturales());
		contexto.ejecutarEstrategia("1234", "TEATRO01");
		
		contexto = new Contexto(new OperacionesDeportes());
		contexto.ejecutarEstrategia("1234", "FUTBOLB");
		
		contexto = new Contexto(new OperacionesIdiomas());
		contexto.ejecutarEstrategia("1234", "INGLES00");

	}

}
